cc.funkemunky.api.tinyprotocol.packet.types

## Enum WrappedEnumAnimation

- java.lang.Object
- - java.lang.Enum<WrappedEnumAnimation>
  - - cc.funkemunky.api.tinyprotocol.packet.types.WrappedEnumAnimation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WrappedEnumAnimation>

    public enum WrappedEnumAnimation
    extends java.lang.Enum<WrappedEnumAnimation>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BLOCK`
`BOW`
`CROSSBOW`
`DRINK`
`EAT`
`NONE`
`SPEAR`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static WrappedEnumAnimation` `fromNMS(java.lang.Object vanillaObject)`
`java.lang.Enum` `toVanilla()`
`static WrappedEnumAnimation` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WrappedEnumAnimation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final WrappedEnumAnimation NONE

#### EAT

    public static final WrappedEnumAnimation EAT

#### DRINK

    public static final WrappedEnumAnimation DRINK

#### BLOCK

    public static final WrappedEnumAnimation BLOCK

#### BOW

    public static final WrappedEnumAnimation BOW

#### SPEAR

    public static final WrappedEnumAnimation SPEAR

#### CROSSBOW

    public static final WrappedEnumAnimation CROSSBOW

### Method Detail

#### values

    public static WrappedEnumAnimation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WrappedEnumAnimation c : WrappedEnumAnimation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WrappedEnumAnimation valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### fromNMS

    public static WrappedEnumAnimation fromNMS(java.lang.Object vanillaObject)

#### toVanilla

    public java.lang.Enum toVanilla()